<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>tn.com.st2i</groupId>
		<artifactId>reporting</artifactId>
		<version>1.0.0</version>
	</parent>
	<packaging>jar</packaging>
	<artifactId>reporting-presentation</artifactId>

	<properties>
		<maven.version>3.2.0</maven.version>
	</properties>

	<dependencies>
		<!-- Project modules -->
		<dependency>
			<groupId>tn.com.st2i</groupId>
			<artifactId>reporting-business</artifactId>
			<version>${project.version}</version>
		</dependency>

		<!-- Spring Boot dependencies -->
		<dependency>
			<groupId>org.apache.tomcat.embed</groupId>
			<artifactId>tomcat-embed-jasper</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<!-- Spring Boot plugins -->
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<!-- End Spring Boot plugins -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>${maven.version}</version>
				<configuration>
					<delimiters>
						<delimiter>^</delimiter>
					</delimiters>
					<useDefaultDelimiters>false</useDefaultDelimiters>
				</configuration>
			</plugin>
		</plugins>

	</build>

</project>